<?xml version="1.0"?>

<f:view
	xmlns="http://www.w3.org/1999/xhtml"
	xmlns:f="http://xmlns.jcp.org/jsf/core"
	xmlns:h="http://xmlns.jcp.org/jsf/html"
	xmlns:p="http://primefaces.org/ui"
	xmlns:ui="http://java.sun.com/jsf/facelets"
>
	<h:head>
		<h:outputStylesheet library="css" name="ideadetailviewer.css" />
		<h:outputStylesheet library="css" name="w3.css" />
	  <meta property="og:url"           content="#{ideaDetailViewBean.getPageUrl()}" />
	  <meta property="og:type"          content="website" />
	  <meta property="og:title"         content="#{ideaDetailViewBean.idea.title}" />
	  <meta property="og:description"   content="#{ideaDetailViewBean.idea.shortdescription}" />
	<script>
	  window.fbAsyncInit = function() {
	    FB.init({
	      appId            : '721162661427618',
	      autoLogAppEvents : true,
	      xfbml            : true,
	      version          : 'v2.11'
	    });
	    FB.AppEvents.logPageView();
	  };

	  (function(d, s, id){
	     var js, fjs = d.getElementsByTagName(s)[0];
	     if (d.getElementById(id)) {return;}
	     js = d.createElement(s); js.id = id;
	     js.src = "https://connect.facebook.net/en_US/sdk.js";
	     fjs.parentNode.insertBefore(js, fjs);
	   }(document, 'script', 'facebook-jssdk'));
	</script>
	<script>window.twttr = (function(d, s, id) {
  var js, fjs = d.getElementsByTagName(s)[0],
    t = window.twttr || {};
  if (d.getElementById(id)) return t;
  js = d.createElement(s);
  js.id = id;
  js.src = "https://platform.twitter.com/widgets.js";
  fjs.parentNode.insertBefore(js, fjs);

  t._e = [];
  t.ready = function(f) {
    t._e.push(f);
  };

  return t;
}(document, "script", "twitter-wjs"));</script>
	<style>
		.ui-icon-circle-triangle-w,
		.ui-icon-circle-triangle-e {
			transform: scale(1.5) !important;
		}
	</style>

	</h:head>
	<f:metadata>
          <f:event type="preRenderView" listener="#{ideaDetailViewBean.onPageLoad}"/>
    </f:metadata>
	<h:body>
		<div id="fb-root"></div>
		<script>(function(d, s, id) {
		  var js, fjs = d.getElementsByTagName(s)[0];
		  if (d.getElementById(id)) return;
		  js = d.createElement(s); js.id = id;
		  js.src = 'https://connect.facebook.net/de_DE/sdk.js#xfbml=1&amp;version=v2.11&amp;appId=721162661427618';
		  fjs.parentNode.insertBefore(js, fjs);
		}(document, 'script', 'facebook-jssdk'));
		</script>
  	<center>
  		<ui:fragment rendered="#{ideaDetailViewBean.showVideoPlayer()}">
	  	  <video id="ideas_video_player"  data-setup="{}" controls="controls">
			     <source src="#{ideaDetailViewBean.mp4Url}" type='video/mp4'></source>
			     <source src="#{ideaDetailViewBean.oggUrl}" type='video/ogg'></source>
			     <source src="#{ideaDetailViewBean.webmUrl}"  type='video/webm'></source>
			  </video>
	  	</ui:fragment>
	<p:accordionPanel activeIndex="#{ideaDetailViewBean.openGallery}" rendered="#{ideaDetailViewBean.showImages()}">
	<p:tab title="Bildergalerie öffnen">
			<p:galleria value="#{ideaDetailViewBean.images}" var="image"  showCaption="false" autoPlay="false" panelHeight="500">
			    <p:graphicImage url="#{image}"/>
			</p:galleria>
   		</p:tab>
   		</p:accordionPanel>

   		<H1>#{ideaDetailViewBean.idea.title}</H1>
   		<h5>Eingereicht von: #{ideaDetailViewBean.idea.getUserName()}</h5>

		<H4 style="padding: 0 !important;">Ziel des Projekts</H4>
		<pre style="white-space: pre-wrap; padding: 0 !important;">#{ideaDetailViewBean.idea.goal}</pre>
		<H4 style="padding: 0 !important;">Zielgruppe des Projekts</H4>
		<pre style="white-space: pre-wrap; padding: 0 !important;">#{ideaDetailViewBean.idea.targetAudience}</pre>
		<H4 style="padding: 0 !important;">Situation des Projekts</H4>
		<pre style="white-space: pre-wrap; padding: 0 !important;">#{ideaDetailViewBean.idea.importance}</pre>
		<H4 style="padding: 0 !important;">Umsetzung des Projekts</H4>
		<pre style="white-space: pre-wrap; padding: 0 !important;">#{ideaDetailViewBean.idea.solution}</pre>
		<ui:fragment rendered="#{ideaDetailViewBean.showPitch()}">
		<H4 style="padding: 0 !important;">Zusammenfassung des Projekts</H4>
		<pre style="white-space: pre-wrap; padding: 0 !important;">#{ideaDetailViewBean.pitch}</pre>
		</ui:fragment>

 	</center>
	<footer>
	<ui:fragment rendered="#{ideaDetailViewBean.showShareButton()}">
	
	<div class="fb-share-button" data-layout="button_count" data-size="large" data-mobile-iframe="true">
		<a class="fb-xfbml-parse-ignore"
		 target="_blank" href="https://www.facebook.com/sharer/sharer.php?u&amp;src=sdkpreparse">Teilen</a>
 	</div>
	<div class="twitter-share-button">
		<a class="twitter-share-button" data-size="large" href="https://twitter.com/intent/tweet">Tweet</a>
	</div>
	<div>			

	<a class="whatsapp" href="whatsapp://send?text=#{ideaDetailViewBean.getPageUrl()}" data-action="share/whatsapp/share">Share via Whatsapp</a>

	</div>	

	<h:form id="ideaDetailViewForm">
	
	<h:panelGroup id="voteButtonWrapper">
			<p:commandButton rendered="#{ideaDetailViewBean.showVoteButton()}" update="_JSFIdeaDetailViewer_WAR_JSFIdeaDetailViewer_:ideaDetailViewForm:voteButtonWrapper" value="Abstimmen" id="acceptedIdeasLikeButton" ajax="true" actionListener="#{ideaDetailViewBean.likeIdea}" onclick="setTimeout(function() {PF('confirmVoteDialog').show(); } , 500);">
			</p:commandButton>
	</h:panelGroup>

			<p:dialog rendered="#{ideaDetailViewBean.isLoggedIn()}" header="Ihre Stimme wurde gezählt." modal="false" resizable="false" widgetVar="confirmVoteDialog" minHeight="40">
				<h:outputText value="Sie können für jedes Projekt einmal abstimmen." />
			</p:dialog>

			<h:outputText id="voteCount" style="float: right;" value = "Stimmen: #{ideaDetailViewBean.votes} " />
	</h:form>

	 </ui:fragment>
	 </footer>


	 </h:body>
</f:view>
